Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233716 - gdb overrides empty structures definitions
Summary: gdb overrides empty structures definitions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On: 135488
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 23:04 UTC by Jan Kratochvil
Modified: 2008-08-28 22:12 UTC (History)
1 user (show)

Fixed In Version: gdb-6.6-8.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-24 08:57:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 1734 None None None Never

Description Jan Kratochvil 2007-03-23 23:04:38 UTC
+++ This bug was initially created as a clone of Bug #135488 +++

With main file defining its local type
struct x { };
and a linked shared library defining other its own local time
struct x { int field; };
GDB will resolve `struct x' in the main executable context from the library.

-- Additional comment from jan.kratochvil@redhat.com on 2007-03-11 19:03 EST --
Posted upstream
http://sources.redhat.com/ml/gdb-patches/2007-03/msg00119.html

Comment 1 Jan Kratochvil 2007-03-24 08:57:27 UTC
Committed to RawHide:
* Sat Mar 24 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-8
- Use definition of an empty structure as it is not an opaque type (BZ 233716).
- Fixed the gdb.base/attachstop.exp testcase false 2 FAILs.



Note You need to log in before you can comment on or make changes to this bug.